Glib::PollFD Class Reference
The Main Event Loop

`#include <glibmm/main.h>`

## Public Types

using | fd_t = decltype(GPollFD::fd)

## Public Member Functions

| PollFD ()
| PollFD (fd_t fd)
| PollFD (fd_t fd, IOCondition events)
void | set_fd (fd_t fd)
fd_t | get_fd () const
void | set_events (IOCondition events)
IOCondition | get_events () const
void | set_revents (IOCondition revents)
IOCondition | get_revents () const
GPollFD* | gobj ()
const GPollFD* | gobj () const

## Member Typedef Documentation

## fd_t

using Glib::PollFD::fd_t = decltype(GPollFD::fd)

## Constructor & Destructor Documentation

## PollFD() [1/3]

Glib::PollFD::PollFD | ( |  | ) |

## PollFD() [2/3]

Glib::PollFD::PollFD | ( | fd_t | fd | ) |

explicit

## PollFD() [3/3]

Glib::PollFD::PollFD | ( | fd_t | fd,
|  | IOCondition | events
| ) |  |

## Member Function Documentation

## get_events()

IOCondition Glib::PollFD::get_events | ( |  | ) | const

inline

## get_fd()

fd_t Glib::PollFD::get_fd | ( |  | ) | const

inline

## get_revents()

IOCondition Glib::PollFD::get_revents | ( |  | ) | const

inline

## gobj() [1/2]

GPollFD* Glib::PollFD::gobj | ( |  | ) |

inline

## gobj() [2/2]

const GPollFD* Glib::PollFD::gobj | ( |  | ) | const

inline

## set_events()

void Glib::PollFD::set_events | ( | IOCondition | events | ) |

inline

## set_fd()

void Glib::PollFD::set_fd | ( | fd_t | fd | ) |

inline

## set_revents()

void Glib::PollFD::set_revents | ( | IOCondition | revents | ) |

inline